Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2005-09-01 16:52:46


Everyone using the odin cluster at IU:

There was an unscheduled upgrade of the g++ compiler on the odin
cluster at IU this afternoon (from 3.4.3 to 3.4.4 to get an important
bug fix). The end result is that if you're compiling the C++ MPI
bindings in an OMPI tree (which is the default), you'll need to re-run
configure and build again. :-(

This is because libtool snarfs various paths for C++ libraries and
stashes them away for use during the build. If you previously ran
configure with the 3.4.3 compiler, these paths are now all wrong (i.e.,
they don't match the g++ compiler that is used to compile/link).
Hence, you need to re-run configure again and build again.

Sorry about this -- it wasn't planned, but was rather urgent (the bug
was so bad that fprintf() was returning 1, regardless of the number of
characters written!).

-- 
{+} Jeff Squyres
{+} The Open MPI Project
{+} http://www.open-mpi.org/